lkml.org 
[lkml]   [2021]   [Jan]   [23]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
From
Date
SubjectRe: [PATCH next v2 03/17] dt-bindings: phy: mediatek: dsi-phy: modify compatible dependence
Hi, Chunfeng:

Chunfeng Yun <chunfeng.yun@mediatek.com> 於 2021年1月22日 週五 下午8:04寫道:
>
> The compatilbe "mediatek,mt7623-mipi-tx" is not supported in driver,
> and in fact uses "mediatek,mt2701-mipi-tx" instead on MT7623, so changes
> the compatible items to make dependence clear.

Reviewed-by: Chun-Kuang Hu <chunkuang.hu@kernel.org>

>
> Cc: Chun-Kuang Hu <chunkuang.hu@kernel.org>
> Cc: Philipp Zabel <p.zabel@pengutronix.de>
> Signed-off-by: Chunfeng Yun <chunfeng.yun@mediatek.com>
> ---
> v2: separate two patches suggested by CK
> ---
> .../devicetree/bindings/phy/mediatek,dsi-phy.yaml | 13 ++++++++-----
> 1 file changed, 8 insertions(+), 5 deletions(-)
>
> diff --git a/Documentation/devicetree/bindings/phy/mediatek,dsi-phy.yaml b/Documentation/devicetree/bindings/phy/mediatek,dsi-phy.yaml
> index 71d4acea1f66..6e4d795f9b02 100644
> --- a/Documentation/devicetree/bindings/phy/mediatek,dsi-phy.yaml
> +++ b/Documentation/devicetree/bindings/phy/mediatek,dsi-phy.yaml
> @@ -19,11 +19,14 @@ properties:
> pattern: "^dsi-phy@[0-9a-f]+$"
>
> compatible:
> - enum:
> - - mediatek,mt2701-mipi-tx
> - - mediatek,mt7623-mipi-tx
> - - mediatek,mt8173-mipi-tx
> - - mediatek,mt8183-mipi-tx
> + oneOf:
> + - items:
> + - enum:
> + - mediatek,mt7623-mipi-tx
> + - const: mediatek,mt2701-mipi-tx
> + - const: mediatek,mt2701-mipi-tx
> + - const: mediatek,mt8173-mipi-tx
> + - const: mediatek,mt8183-mipi-tx
>
> reg:
> maxItems: 1
> --
> 2.18.0

\
 
 \ /
  Last update: 2021-01-24 05:48    [W:0.122 / U:1.192 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site